export default {
  state: () => ({
    system: {},
    // currentTab:'clientHome'
  }),
  mutations: {
    SET_APP_SYSTEM(state, info) {
      state.system = info
    },
    // SET_CURRENT_TAB(state, currentTab) {
    //   state.currentTab = currentTab
    // }
  },
  actions: {
    getAppSystemInfo({ commit }) {
      commit('SET_APP_SYSTEM', uni.getSystemInfoSync())
    },
    UpdateMiniVersion() {
      const updateManager = wx.getUpdateManager();
      updateManager.onCheckForUpdate(function (res) {
        // 请求完新版本信息的回调
      });
      updateManager.onUpdateReady(function () {
        uni.showModal({
          title: '更新提示',
          content: '新版本已经准备好，是否重启应用？',
          success(res) {
            if (res.confirm) {
              // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
              updateManager.applyUpdate();
            }
          },
        });
      });
      updateManager.onUpdateFailed(function () {
        // 新版本下载失败
      });
    }
  },
};
