# 推荐版本
node v14.16.0
pnpm 7.33.6

## 跑起来
安装依赖  pnpm i 
运行 pnpm run serve

### 微信小程序打包认证
1.安装依赖后执行命令 pnpm run dev:mp-weixin
2.打开微信小程序开发软件 导入dist目录下dev目录下的mp-weixin编译运行
注：mp-weixin下必须有node-module文件 若无 运行pnpm run build:mp-weixin

pnpm run build

#### 命令行提交代码步骤
git add .
git commit -m "XXXX"   //XXXX是备注修改的内容
git push

##### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).

### 地址

http://apidoc.chelvc.com   // 接口地址
http://apidoc.chelvc.com/admin // 后台接口地址
http://apidoc.chelvc.com/maintain // 小程序接口地址
https://chelvchengzentao.cpolar.top/zentao/user-login-L3plbnRhby8=.html // 禅道地址

wangzhongqing 564342

http://gogs.chelvc.com/  git
https://js.design/ti?c=fMpU7uE9B48CA8a/ // ui图

### 结构
```javascript
| |   |--------------C端--------------|   | |
| |----pages(主包)
| |		|----login(登录)
| |		|		|----login(微信登陆)
| |		|		|----phoneLogin(手机号登录)
| |		|----tabbar(底部导航栏)
| |		|		|----home(首页)
| |		|		|----community(社区)
| |		|		|----promotionCode(推广)
| |		|		|----message(消息)
| |		|		|----mine(我的)
| |		|----webview(外部链接)
| |		|		|----index(隐私等)
| |		|		|
| |		|		|
| |----pagesHome(首页分包-->二级页面)
| |		|----homeSearch(首页搜索)
| |		|----home(热门&附近商家更多列表)
| |		|		|----nearbyBusiness(附近商家)
| |		|		|----popularRecommend(热门推荐)
| |		|----marketer(商家商品->商品详情->下单)
| |		|		|----index(商家详情)
| |		|		|----productDetail(商品详情)
| |		|		|----settleOrder(确认订单)
| |		|		|----settleStatus(支付状态)
| |		|----category(商品类别)
| |		|		|----index(选择商品类别)
| |		|		|----categoryStoreList(选择类别后的商家列表)
| |		|		|
| |		|		|
| |----pagesCustomer(社区分包-->二级页面)
| |		|		|----communityPostReview(发布评论)
| |		|		|
| |		|		|
| |----pagesMessage(消息分包-->二级页面)
| |		|		|----orderNotify(订单通知)
| |		|		|----commentNotify(评论通知<-商品评论)
| |		|		|----kudosNotify(点赞通知)
| |		|		|----benefitsNotify(优惠福利)
| |		|		|
| |		|		|
| |----PageMine(我的分包-->二级页面)
| |		|		|		|----aboutUs(关于我们)
| |		|		|		|----coupon(优惠券列表)
| |		|		|		|----favourite(我的收藏)
| |		|		|		|----feedback(反馈)
| |		|		|		|----goodsReserve(商品预约)
| |		|		|		|----myTeam(我的团队)
| |		|		|		|----shopCar(购物车)
| |		|		|----orderModules(我的订单)
| |		|		|		|----index(我的订单)
| |		|		|		|----orderDetail(订单详情)
| |		|		|		|----orderComment(订单评论)
| |		|		|----serviceCenter(客服中心)
| |		|		|		|----index(客服中心列表)
| |		|		|		|----serviceDetail(服务详情 问题详情)
| |		|		|----setting(设置)
| |		|		|		|----index(设置首页)
| |		|		|		|----aboutUs(关于我们)
| |		|		|		|----personInformation(个人信息)
| |		|   |----profit(提现)
| |		|   |   |----index(提现主页)
| |		|   |   |----withdraw(提现)
| |		|
| |		|
| |		|
| |		|
| |   |---------------B端---------------|   | |
| |----pageMerchant(商家端)
| |		|    |----index(商家端主页 自定义tabbar + 各主页面)
| |		|    |----tabbar(商家端 tabbar页面)
| |		|    |      |----extend(推广)
| |		|    |      |----message(消息)
| |		|    |      |----mine(我的)
| |		|    |      |----order(订单)
| |		|    |      |----store(店铺)
| |		|    |      |
| |		|    |      |
| |		|    |      |
| |		|
| |		|
```


用户端的 2天

消息详情 调  （参数定不下来） 

分销 我的团队 推广 （一天）

我的钱包 

支付（银行卡）-> 订单状态 去掉（代发货和已发货）售后服务 （暂未开发）

积分（暂未开发）

优惠券（暂未开发）


商家端

认证 订单 钱包 意见反馈

店铺↓
店铺管理 顾客评价 订单核销（扫码）  我的团队