const getters = {
  // app 系统信息
  app: state => state.app,
  currentTab: state =>state.app.currentTab,
  // auth 信息
  id: state => state.auth.id,
  accessToken: state => state.auth.accessToken,
  refreshToken: state => state.auth.refreshToken,
  mobile: state => state.auth.mobile,
  anonymous: state => state.auth.anonymous,
  duration: state => state.auth.duration,
  scope: state => state.auth.scope,
  // 用户信息
  userId: state => state.user.userId,
  gender: state => state.user.gender,
  avatar: state => state.user.avatar,
  nickname: state => state.user.nickname,
  invitationCode:state => state.user.invitationCode,

  location: state => state.data.location
};

export default getters;
